
image:
  file: .gitpod.Dockerfile

# exposed ports
ports:
- port: 5432 # PostgreSQL
  onOpen: ignore
- port: 8069 # preview on browser
  onOpen: open-browser

tasks:
  - init: |
      sleep 2
      ./tele-install.sh
    command: |
      cd tele
      ./tele-bin -w tele -r tele --addons-path=./addons,enterprise,verticals --db_host 127.0.0.1
  - command: gp await-port 8069 && gp preview "$(gp url 8069)/web/database/selector"

# P.S. You should remove ":433" from the url when running the web preview.

# Create a database
# CREATE DATABASE tele_db WITH OWNER tele;
# GRANT ALL PRIVILEGES ON DATABASE tele_db TO tele;

# Run with database:
# ./tele-bin -w tele -r tele -d tele_db --addons-path=./addons --db_host 127.0.0.1

# Run with different PostgreSQL port:
#./tele-bin -w tele -r tele --addons-path=./addons --db_host 127.0.0.1 --db_port 5433

# Run and init a database:
#./tele-bin -w tele -r tele -d tele_db --addons-path=./addons --db_host 127.0.0.1 -i base

vscode:
  extensions:
    - ms-vscode.makefile-tools